List shipping addresses
curl --request GET \
--url https://store.salesive.com/api/v1/shipping-address \
--header 'Authorization: Bearer <token>' \
--header 'x-shop-id: <api-key>'import requests
url = "https://store.salesive.com/api/v1/shipping-address"
headers = {
"Authorization": "Bearer <token>",
"x-shop-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-shop-id': '<api-key>'}
};
fetch('https://store.salesive.com/api/v1/shipping-address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"success": true,
"message": "<string>",
"data": {
"shippingAddresses": [
{
"_id": "<string>",
"fullName": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "<string>",
"isDefault": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"phone": "<string>",
"street2": "<string>",
"latitude": 123,
"longitude": 123,
"landmark": "<string>"
}
]
}
}Shipping address
List shipping addresses
Retrieve all saved shipping addresses for the authenticated shopper.
GET
/
shipping-address
List shipping addresses
Request
GET /shipping-address
Authorization: Bearer {{token}}
x-shop-id: {{shopId}}
Headers
| Header | Type | Description |
|---|---|---|
Authorization | string | Include the shopper token as Bearer <jwt>. |
x-shop-id | string | Scope the request to a specific shop. |
Successful response
{
"status": 200,
"success": true,
"message": "Shipping addresses retrieved",
"data": [
{
"_id": "6938e4f0019a97bc42775b59",
"user": "69360693a7a8f7dc8ae32d6d",
"name": "Jane Smith",
"email": "jane@example.com",
"phone": "+2348099887766",
"address": "12 Computation Way, Lagos",
"city": "Lagos",
"state": "Lagos",
"zipCode": "100001",
"country": "NG",
"latitude": 6.4541,
"longitude": 3.3947,
"validated": {
"address_code": 572627280,
"address": "12 Computation Way, Lagos Island, Lagos, Nigeria",
"name": "Jane Smith",
"email": "jane@example.com",
"street_no": "12",
"street": "Computation Way",
"phone": "+2348099887766",
"formatted_address": "12 Computation Way, Lagos Island, Lagos, Nigeria",
"country": "Nigeria",
"country_code": "NG",
"city": "Lagos Island",
"city_code": "Lagos Island",
"state": "Lagos",
"state_code": "LA",
"postal_code": "100001",
"latitude": 6.4541,
"longitude": 3.3947
},
"isDefault": true,
"deleted": false,
"createdAt": "2025-12-10T03:11:44.136Z",
"updatedAt": "2025-12-10T03:11:44.136Z",
"__v": 0
}
]
}
Error response
{
"status": 401,
"success": false,
"message": "Unauthorized",
"data": {}
}
Authorizations
JWT issued by the Salesive Store API for authenticated shoppers.
Optional storefront identifier sent as a header to scope responses to a specific shop. Try It requests remember this value once provided.
Headers
Optional identifier that scopes responses to a specific storefront when the referer cannot be inferred.
Was this page helpful?
⌘I

